#17545 closed Bugs (Fixed)

nvidia: blank screen when "Adjust display refresh rate" is enabled

Reported by: Milhouse Owned by:
Priority: 4 - Normal
Component: Video playback (inc. audio in video and codecs) Version: 18.0 "Leia" Alpha1
Severity: Normal Keywords: nvidia black screen display refresh
Cc: FernetMenta Blocked By:
Blocking: Platform: Linux

Description

Since the last major vpupdate in test build #0710, playback of video results in a blank (black) screen when "Adjust display refresh rate" is enabled. Seems to affect older Nvidia GPUs using the 340.102 driver. This driver and "adjust refresh rate" worked fine prior the PR12212 update. Disabling adjust refresh rate restores video playback, although now with obvious judder.

Tested using latest Kodi master (84cd8cdf).

Forum post: https://forum.kodi.tv/showthread.php?tid=298462&pid=2616293#pid2616293

Debug log: http://sprunge.us/VcRF

Change History (5)

comment:1 Changed at 2017-07-24T19:05:45+01:00 by ragnaroek

Agree with Milhouse, did some tests today with LibreELEC.tv Leia build #0723 generic and Kodi 2:18.0+git20170724.0200-51a70ff. Since the PR12212 I get a black screen on Nvidia systems when Adjust display refresh rate is On ,start/stop or always, no sound issues here. I also did some tests with different Nvidia drivers on my Ubuntu system, the by fernetmenta recommended 340.x, the 367.x and 375.x same result, seems not to be a driver issue. Find attached 2 verbose debug logs and the forum post:

Milhouse #0723

Kodi 2:18.0+git20170724.0200-51a70ff

Forum post

comment:4 Changed at 2018-01-13T15:39:15Z by Milhouse

  • Resolution set to Fixed
  • Status changed from new to closed

comment:5 Changed at 2018-08-08T20:32:09+01:00 by Martijn

  • Milestone changed from 18.0 "L*****" to 18.0 "Leia"

Milestone renamed

Note: See TracTickets for help on using tickets.